Agora RTC Objective-C API Reference Refactor

Properties
AgoraEchoTestConfiguration Class Reference

Inherits <NSObject>.

## Properties
VIEW_CLASS *_Nullable | view
BOOL | enableAudio
BOOL | enableVideo
NSString *_Nullable | token
NSString *_Nonnull | channelId
NSInteger | intervalInSeconds

## Property Documentation

## ◆ view

- (VIEW_CLASS* _Nullable) view
| read write nonatomic strong

The view used to render the local user's video. This parameter is only applicable to scenarios testing video devices, that is, when `enableVideo` is YES.

## ◆ enableAudio

- (BOOL) enableAudio
| read write nonatomic assign

Whether to enable the audio device for the loop test:

- `YES`: (Default) Enable the audio device. To test the audio device, set this parameter as YES.
- `NO`: Disable the audio device.

## ◆ enableVideo

- (BOOL) enableVideo
| read write nonatomic assign

Whether to enable the video device for the loop test:

- `YES`: (Default) Enable the video device. To test the video device, set this parameter as YES.
- `NO`: Disable the video device.

## ◆ token

- (NSString* _Nullable) token
| read write nonatomic copy

The token used to secure the audio and video call loop test. If you do not enable App Certificate in Agora Console, you do not need to pass a value in this parameter; if you have enabled App Certificate in Agora Console, you must pass a token in this parameter; the `uid` used when you generate the token must be 0xFFFFFFFF, and the channel name used must be the channel name that identifies each audio and video call loop tested. For server-side token generation, see .

## ◆ channelId

- (NSString* _Nonnull) channelId
| read write nonatomic copy

The channel name that identifies each audio and video call loop. To ensure proper loop test functionality, the channel name passed in to identify each loop test cannot be the same when users of the same project (App ID) perform audio and video call loop tests on different devices.

## ◆ intervalInSeconds

- (NSInteger) intervalInSeconds
| read write nonatomic assign

Set the time interval or delay for returning the results of the audio and video loop test. The value range is [2,10], in seconds, with the default value being 2 seconds.

- For audio loop tests, the test results will be returned according to the time interval you set.
- For video loop tests, the video will be displayed in a short time, after which the delay will gradually increase until it reaches the delay you set.